Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.impl
Class SingleDomainSelectorUS

    java.lang.Object
      com.sun.mdm.index.matching.impl.SingleDomainSelectorUS

All Implemented Interfaces:
  DomainSelector

public class SingleDomainSelectorUS
extends java.lang.Object
implements DomainSelector

Field Summary

Fields inherited from interface com.sun.mdm.index.matching.DomainSelector
`DOMAIN_MAP`

Constructor Summary
`SingleDomainSelectorUS()`

Method Summary
`java.lang.String[]` | `getDomains(SystemObject sysObj, PreparsedFieldGroup fieldGroup, java.util.ArrayList allColumns)`
`java.lang.String[]` | `getDomains(SystemObject sysObj, UnparsedFieldGroup fieldGroup, java.util.ArrayList allColumns)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleDomainSelectorUS

    public SingleDomainSelectorUS()

Method Detail

### getDomains

    public java.lang.String[] getDomains(SystemObject sysObj,
                                         PreparsedFieldGroup fieldGroup,
                                         java.util.ArrayList allColumns)

  Description copied from interface: `DomainSelector`
  Get an array of domain designations for the given preparsed field group values.

  Specified by:
    `getDomains` in interface `DomainSelector`
  Parameters:
    `sysObj` - System object being standardized
    `fieldGroup` - Field group being standardized
    `allColumns` - Field group values to be standardized
  Returns:
    array of domains ("US", "UK", ...) for

### getDomains

    public java.lang.String[] getDomains(SystemObject sysObj,
                                         UnparsedFieldGroup fieldGroup,
                                         java.util.ArrayList allColumns)

  Description copied from interface: `DomainSelector`
  Get an array of domain designations for the given unparsed field group values.

  Specified by:
    `getDomains` in interface `DomainSelector`
  Parameters:
    `sysObj` - System object being standardized
    `fieldGroup` - Field group being standardized
    `allColumns` - Field group values to be standardized
  Returns:
    array of domains ("US", "UK", ...) for

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.